<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system.core.permission</groupId>
        <artifactId>permission</artifactId>
        <version>1.9.0</version>
    </parent>

    <artifactId>permission-soap</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: CORE :: PERMISSION :: SOAP</name>
    <description>SYSTEM :: ENTAXY :: CORE :: PERMISSION :: SOAP</description>

    <properties>
        <bundle.osgi.import.pkg>
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>

        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>

    </dependencies>

    <profiles>
        <!-- Development settings, -Denv=dev -->
        <profile>
            <id>dev</id>
            <activation>
                <property>
                    <name>env</name>
                    <value>dev</value>
                </property>
            </activation>
            <properties>
                <hibernate.show_sql>true</hibernate.show_sql>
                <hibernate.format_sql>true</hibernate.format_sql>
            </properties>
        </profile>
        <!-- Production settings, -Denv=prod -->
        <profile>
            <id>prod</id>
            <activation>
                <property>
                    <name>env</name>
                    <value>!dev</value>
                </property>
            </activation>
            <properties>
                <hibernate.show_sql>false</hibernate.show_sql>
                <hibernate.format_sql>false</hibernate.format_sql>
            </properties>
        </profile>
    </profiles>

</project>
